# GNUmakefile          Section: 4.2  Binary Image Boundaries
#      Copyright 1994, Center for Computer Vision and Visualization,
#      University of Florida.  All rights reserved.
#
# See comments in  gnumake.iah for description of symbols.

#######################################################################
# Modify the following symbols to control compilation
#######################################################################

BLASTABLE_PTFILES =
CLOSUREOBJS       =

HEADERS = bib.h
LOBJS   = bib.o

SOURCES	= bib.h bib.c  test-bib.c
TESTS	= test-bib

ARL =
EXTRAINCLUDES =
CPPFLAGS =

OUTPUT_OPTION =
TARGET_ARCH   =
XTRAFLAGS     =
XTRACCFLAGS   =

# Make this nothing if you do not want programs stripped.
STRIPPROGRAMS = anystring-means-strip--no-string-means-do-not-strip

#######################################################################
include	../../gnumake.iah
#######################################################################

#######################################################################
#####	User program dependencies and rules follow
#######################################################################

bib.o:	bib.h bib.c

ifeq (${LIBTEST},)
test-bib.o:	test-bib.c  bib.o
test-bib:	test-bib.o  bib.o
	${LINK.cc} -o $@ $@.o bib.o ${LDLIBS}
	strip $@

else
test-bib.o:	test-bib.c

endif
